Repository 32bit  Forum
Repository 64bit  Wiki

ATI Catalyst 10.3 o 10.4 e kernel >= 2.6.33.x

Usate questo forum per richieste di aiuto e consigli sull'hardware montato nelle vostre macchine con GNU/Linux Slackware.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata e la versione del Kernel. Questi dati aiutano le persone che possono rispondere.
2) Citare il tipo di hardware coinvolto in modo dettagliato.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT. Non usare termini gergali come procio, mobo e simili per identificare i componenti hardware.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

ATI Catalyst 10.3 o 10.4 e kernel >= 2.6.33.x

Messaggioda targzeta » mer apr 28, 2010 20:17

Ciao,
vi allego una patch per compilare i Catalyst in oggetto con i kernel 2.6.33.x. Se non si ha la Slackware current dovrebbe funzionare senza problemi, altrimenti vi devo dare anche un aggiornamento allo Slackbuild interno che quelli della ATI non hanno inserito nella release 10.3 (nonostante l'avessi mandata un mese prima forse), ma che però è presente nella 10.4.

Seguendo la guida ufficiale si deve semplicemente fare quanto segue supponendo che si abbia salvato la patch allegata e il .run nella directory temporanea /tmp.
Per i Catalyst 10.3:
Codice: Seleziona tutto
#> mkdir -p /etc/ati/patch/
#> mv /tmp/fglrx_with_2.6.33.diff /etc/ati/patch/patch-8.712-$(uname -r)
#> sh ati-driver-installer-10-3-x86.x86_64.run --buildpkg

Per i Catalyst 10.4:
Codice: Seleziona tutto
#> mkdir -p /etc/ati/patch/
#> mv /tmp/fglrx_with_2.6.33.diff /etc/ati/patch/patch-8.723-$(uname -r)
#> sh ati-driver-installer-10-4-x86.x86_64.run --buildpkg

Dovrebbe essere tutto, se va bene verranno creati i due pacchetti da installare,
Emanuele

P.S. Una volta installati i pacchetti si può anche rimuovere la directory delle patch con:
Codice: Seleziona tutto
#> rm -rf /etc/ati/patch/
la directory /etc/ati invece viene usata e quindi la si dovrebbe lasciare (dovrebbero esserci anche altri file all'interno)
Allegati
fglrx_with_2.6.33.diff
Patch ai driver ATI Catalyst 10.3 o 10.4 per l'uso con il kernel 2.6.33.x
(7.73 KiB) Scaricato 152 volte
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6195
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: ATI Catalyst 10.3 o 10.4 e kernel >= 2.6.33.x

Messaggioda ocman » mer apr 28, 2010 23:20

Grazie infinite.
Funziona tutto alla perfezione.
Configurazione: slackware64-current, ati-10.4.
Sfortunatamente ho appena fatto un test con video 1080p: con radeonhd tutto fluido, gli ati invece portano continui cali dei fps.
ocman
Linux 2.4
Linux 2.4
 
Messaggi: 239
Iscritto il: gio lug 31, 2008 17:18
Slackware: ArchLinux
Desktop: xfce
Distribuzione: OpenIndiana

Re: ATI Catalyst 10.3 o 10.4 e kernel >= 2.6.33.x

Messaggioda odiusseus » gio apr 29, 2010 5:58

Tutto perfetto..mi sembrano però un po' lenti nel refresh..sarà la mia impressione!!!Grazie mille
odiusseus
Linux 2.4
Linux 2.4
 
Messaggi: 352
Iscritto il: sab giu 30, 2007 13:09
Località: roma/vibo valentia
Slackware: 13.0
Kernel: 2.6.32.2
Desktop: kde


Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti